Phone & voice · Voice
Enables a phone calling on a number.
https://api.pozy.ai/v1/phone-numbers/{id}/voiceGuides: Voice calls, AI voice agents
Request
Send your API key as Authorization: Bearer pz_live_.... Read-only keys cannot call it. Keys with the telephony resource group disabled get 403 resource_group_disabled. Authentication
Path parameters
| Name | Type | Notes |
|---|---|---|
idrequired | string |
Request body
application/json, optional
forwardTostringrecordingEnabledbooleantranscriptionEnabledbooleantranscriptionLanguagestringOne of
auto,en,es.voicemailEnabledbooleanvoicemailGreetingstringUp to 1000 characters.
businessHoursEnabledbooleanbusinessHoursTimezonestringUp to 64 characters.
businessHoursarray of objectUp to 21 items.
dayintegerrequired0 to 6.
openstringrequiredMatches
^\d{2}:\d{2}$.closestringrequiredMatches
^\d{2}:\d{2}$.
blockedCallersarray of stringUp to 1000 items.
forwardCallerIdstringOne of
business,caller.ivrEnabledbooleanivrPromptstringUp to 1000 characters.
ivrOptionsarray of objectUp to 12 items.
digitstringrequiredMatches
^[0-9*#]$.forwardTostringrequiredlabelstringUp to 80 characters.
Example
curl -X POST "https://api.pozy.ai/v1/phone-numbers/6bfebd43ddc270f6d2c56fc5/voice" \
-H "Authorization: Bearer $POZY_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"forwardTo": "string",
"recordingEnabled": true,
"transcriptionEnabled": true,
"transcriptionLanguage": "auto"
}'const res = await fetch("https://api.pozy.ai/v1/phone-numbers/6bfebd43ddc270f6d2c56fc5/voice", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.POZY_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
forwardTo: "string",
recordingEnabled: true,
transcriptionEnabled: true,
transcriptionLanguage: "auto"
}),
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);import os
import requests
resp = requests.post(
"https://api.pozy.ai/v1/phone-numbers/6bfebd43ddc270f6d2c56fc5/voice",
headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
json={
"forwardTo": "string",
"recordingEnabled": True,
"transcriptionEnabled": True,
"transcriptionLanguage": "auto",
},
timeout=30,
)
resp.raise_for_status()
print(resp.json())Response
200 on success
enabledbooleanphoneNumberstringpstnForwardTostringCan be null.
recordingEnabledbooleantranscriptionEnabledbooleantranscriptionLanguagestringOne of
auto,en,es.voicemailEnabledbooleanvoicemailGreetingstringCan be null.
businessHoursEnabledbooleanbusinessHoursTimezonestringCan be null.
businessHoursarray of objectdayintegeropenstringclosestring
blockedCallersarray of stringforwardCallerIdstringOne of
business,caller.ivrEnabledbooleanivrPromptstringCan be null.
ivrOptionsarray of objectdigitstringforwardTostringlabelstring
{
"enabled": true,
"phoneNumber": "+14155550123",
"pstnForwardTo": "string",
"recordingEnabled": true,
"transcriptionEnabled": true,
"transcriptionLanguage": "auto",
"voicemailEnabled": true,
"voicemailGreeting": "alex@example.com",
"businessHoursEnabled": true,
"businessHoursTimezone": "string",
"businessHours": [
{
"day": 1,
"open": "string",
"close": "string"
}
],
"blockedCallers": [
"string"
],
"forwardCallerId": "business",
"ivrEnabled": true,
"ivrPrompt": "string",
"ivrOptions": [
{
"digit": "string",
"forwardTo": "string",
"label": "string"
}
]
}Errors
Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:
| 400 | invalid_request_error | A parameter or body field is missing or invalid. param names it. |
| 401 | authentication_error | The API key is missing, revoked or expired. |
| 403 | permission_error | The key is read-only, scoped to other profiles, or has this resource group disabled. |
| 404 | not_found | Nothing with that id exists in your workspace. |
| 429 | rate_limit_error | Too many requests this minute. Wait for Retry-After seconds. |
Every code is listed in Errors.